Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit.plot
Class PlotEvent

    java.lang.Object
      jcckit.plot.PlotEvent

public class PlotEvent
extends java.lang.Object

A plot event signales some changes of a `Plot`. It has three attributes:

- source: Indicates the `Plot` instance responsible for this event.
- type: The type of event.
- message: The message object. Its meaning depends on the type of event:

  Type | Meaning of the message object
  --- | ---
  `PlotEventType.DATA_PLOT_CONNECTED`, `PlotEventType.DATA_PLOT_DISCONNECTED` | The `DataPlot` (dis)connected with the `Plot` instance specified by the source.
  `PlotEventType.DATA_PLOT_CHANGED` | An `Integer` indicating the lowest index of those curves which have been changed.
  `PlotEventType.DATA_CURVE_CHANGED` | An `Integer` indicating the index of the curve which has been changed.

Author:
  Franz-Josef Elmer

Constructor Summary
`PlotEvent(Plot source, PlotEventType type, java.lang.Object message)` Creates a new event for the specified source, type, and message.

Method Summary
`java.lang.Object` | `getMessage()` Returns the message object.
`Plot` | `getSource()` Returns the source of this event.
`PlotEventType` | `getType()` Returns the event type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlotEvent

    public PlotEvent(Plot source,
                     PlotEventType type,
                     java.lang.Object message)

  Creates a new event for the specified source, type, and message.

Parameters:
  `source` - Plot causing this event.
  `type` - Type of the event. Possible values are `PlotEventType.DATA_PLOT_CHANGED`, `PlotEventType.DATA_CURVE_CHANGED`, `PlotEventType.DATA_PLOT_CONNECTED`, and `PlotEventType.DATA_PLOT_DISCONNECTED`.
  `message` - Message object. Can be `null`

Method Detail

### getSource

    public Plot getSource()

  Returns the source of this event.

### getType

    public PlotEventType getType()

  Returns the event type.

  Returns:
    either `PlotEventType.DATA_PLOT_CHANGED`, `PlotEventType.DATA_CURVE_CHANGED`, `PlotEventType.DATA_PLOT_CONNECTED`, or `PlotEventType.DATA_PLOT_DISCONNECTED`.

### getMessage

    public java.lang.Object getMessage()

  Returns the message object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD